Bug 488821 - Replication exchange does not verify that queue exists before attempting delivery
Replication exchange does not verify that queue exists before attempting deli...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity high
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 15:34 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 14:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-05 15:34:51 EST

    
Comment 1 Gordon Sim 2009-03-05 16:09:12 EST
Fixed by r750586.
Comment 2 Gordon Sim 2009-03-05 16:29:54 EST
The replication_test in qpid svn has been modified to test for this (see lines related to 'queue-d'.

Test procedure is to set up replication; create a queue with --generate-queue-events option on the primary broker but _DONT_ create that queue on the dr broker; then send a message to that queue on the primary broker. Without the fix the DR broker then crashes.
Comment 3 Justin Ross 2011-06-28 14:40:44 EDT
This is fixed and covered in the devel test suite; closing.

Note You need to log in before you can comment on or make changes to this bug.